Obtener el borrador de implementación actual

OBTENER /groups/{groupId}/apps/{appId}/drafts

Return the current application deployment draft, if applicable.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Successfully listed.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • _id string

      The unique ID of the draft.

    • user_id string

      The unique _id value of the MongoDB Cloud user that created the draft.

    • app Objeto

      A specific, existing application.

      Ocultar atributos de la aplicación Show app attributes Objeto
      • Nombre string

        The name of the application. Must begin with a letter and may only contain ASCII letters, numbers, underscores, and hyphens.

      • provider_region string

        Uno de:

        Los valores son aws-us-east-1, aws-us-west-2, aws-us-east-2, aws-eu-central-1, aws-eu-west-1, aws-eu-west-2, aws-ap-southeast-1, aws-ap-southeast-2, aws-ap-south-1 o aws-sa-east-1.

        Los valores son azure-eastus2, azure-westus, azure-westeurope, azure-eastasia o azure-southeastasia.

        Los valores son gcp-us-central1, gcp-us-east4, gcp-us-west1, gcp-europe-west1 o gcp-asia-south1.

      • ubicación string

        An identifier of the location where an app server is physically deployed to, regardless of the cloud provider that hosts the app.

        Los valores son US-VA, US-OR, DE-FF, IE, AU, IN-MB, SG o BR-SP.

      • deployment_model string

        An application deployment model.

        Los valores son GLOBAL o LOCAL.

      • medio ambiente string

        The application's environment.

        Los valores son development, testing, qa o production.

      • _id string

        El ID interno único de la aplicación.

      • id_de_aplicación_del_cliente string

        El ID de la aplicación pública de la aplicación.

      • domain_id string

        El ID de dominio asociado a la aplicación.

      • group_id string

        The application's Atlas Project/Group ID.

      • last_used entero

        The time this app was last used in UNIX time (i.e. the number of seconds since Jan 1, 1970).

      • last_modified entero

        The time this app was last modified in UNIX time (i.e. the number of seconds since Jan 1, 1970).

      • producto string

        The product this app is for.

        Los valores son standard, atlas, data-api o device-sync.

GET /groups/{groupId}/apps/{appId}/drafts
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/drafts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "_id": "string",
  "user_id": "string",
  "app": {
    "name": "MyApp",
    "provider_region": "aws-us-east-1",
    "location": "US-VA",
    "deployment_model": "GLOBAL",
    "environment": "production",
    "_id": "633209ffd3bd3478005d1bac",
    "client_app_id": "myapp-abcde",
    "domain_id": "63320a2b5f9de9a6e0a213e8",
    "group_id": "5b2ec991973129243223a114",
    "last_used": 1664224746,
    "last_modified": 1656440824,
    "product": "standard"
  }
}